Bug 9406 - no confirmation displayed after renewing a patron from details page
Summary: no confirmation displayed after renewing a patron from details page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on: 9376
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-16 17:18 UTC by Galen Charlton
Modified: 2014-05-26 21:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
bug 9406: ensure confirmation of patron renewal is displayed (8.45 KB, patch)
2013-01-16 17:42 UTC, Galen Charlton
Details | Diff | Splinter Review
bug 9406: ensure confirmation of patron renewal is displayed (8.59 KB, patch)
2013-01-17 13:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
bug 9406: ensure confirmation of patron renewal is displayed (8.27 KB, patch)
2013-03-18 09:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 9406: ensure confirmation of patron renewal is displayed (8.39 KB, patch)
2013-03-30 22:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Galen Charlton 2013-01-16 17:18:16 UTC
As an apparent side-effect of the patch for bug 6261, after renewing a patron from the patron details page (as opposed to the checkout page), the "Patron's account has been renewed until XXX" message is no longer displayed.
Comment 1 Galen Charlton 2013-01-16 17:42:27 UTC Comment hidden (obsolete)
Comment 2 Galen Charlton 2013-01-16 17:44:09 UTC
Testers take note: this patch assumes that the patches for 9376 have been applied.
Comment 3 Jonathan Druart 2013-01-17 13:43:13 UTC Comment hidden (obsolete)
Comment 4 Marcel de Rooy 2013-03-17 14:56:42 UTC
Please fix a merge conflict in members-toolbar.inc and set the status back to Signed off.
Comment 5 Jonathan Druart 2013-03-18 09:58:26 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2013-03-30 22:59:06 UTC
Created attachment 17066 [details] [review]
[PASSED QA] Bug 9406: ensure confirmation of patron renewal is displayed

When renewing a patron from the patron details page, ensure that
the "Patron's account has been renewed until XXX" is actually
displayed.

This patch introduces a was_renewed CGI and template parameter
to clarify the intent of the relevent template sections.

To test:

- Before applying the patch, renew a patron from the patron
  details page and verify that you don't see the renewal confirmation.
- After applying the patch, renew the patron from the details page
  and verify that the "Patron's account has been renewed until XXX"
  message shows up.
- Renew the patron from the checkout page and verify that the confirmation
  message shows up.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Message now displays for both tabs.
Fixed tab to make QA script pass.
Comment 7 Jared Camins-Esakov 2013-03-31 01:22:15 UTC
This patch has been pushed to master.
Comment 8 Chris Cormack 2013-03-31 06:00:15 UTC
Does not apply to 3.10.x please resubmit if it is needed there also